
body {
    background-color: #d4dbc7;
    background-image: linear-gradient(to right, #d4dbc7, #8d9e6e);
    /*background-image: linear-gradient(to top, #df7800d4, #b5e1b7e8);*/
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 100vh;
    margin: 0;
}
body.transparent {
  background-color: transparent;
  background-image: none;
}
.header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 1200px;
}
.header label{
    font-size: large;
}

#animated-image {
    opacity: 0;
    transform: translateX(-10%); /* Start off the screen to the left */
    transition: opacity 1s ease-in-out, transform 1s ease-in-out;
    max-width: 100%; /* Ensure image resizes correctly */
}
.containerFull {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    height: 100vh;
    width: 100%;
    max-width: 1200px;
}
.container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    
    width: 100%;
    max-width: 1200px;
}
.container1 {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1200px;
}
.container2 {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    max-width: 1200px;
}

.container3 {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    max-width: 1200px;
}

.bottom-panel {
    flex: 0.3;
    width: 100%;
    margin: 0px;
}

.listbox-panel {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin: 0px;
    flex-direction: column;
}

.pic-panel {
    flex: 1;
    margin: 20px;
}
.slider-container {
    margin-bottom: 5px;
}
.slider-container label {
    font-size: 0.9rem;
    font-weight: bold;
    margin-bottom: 5px;
}

.progress-bar {
    height: 20px;
}

.card {
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);

    
}
.card1 {
    width: 50%;
}
.card2 {
    background-color: hsla(80, 24%, 73%, 0);
    width: 100%;
    border: 0px;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
}

button {
    width: 100%;
    font-size: 1.1rem;
}







.container4 {
    max-width: 100%;
    height: 120px;
    overflow-y: scroll; 
    display: flex;
    justify-content: space-between;
}

.column {
    width: 50%;
    
}

ul {
    list-style-type: none;
    max-width: 100%;
    padding: 0;
    overflow: hidden;
}

li {
    overflow: hidden; 
    text-overflow: ellipsis; 
    font-family: inherit;
    font-size: small;
    width: 100%;
    max-width: 100%;
    max-height: 19px;
    padding-left: 5px;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    margin: 0px 0;
}


.listbox-panel0 {
    align-items: center;
    height: 36px;
    width: 207px;
    background-position: center;
}

.listbox {
    display: grid;
    grid-template-columns: 4fr 3fr;

    padding: 0;
    margin: 0;
    width: 100%;
    max-height: 120px;
    overflow-y: scroll;
  }

  .listbox select {
    width: 100%;
    height: 100%;
    
  }


  .form-range {
    width: 100%;
    height: 1rem;
    padding: 0;
    /*background-color: #79cfbf29;*/
    
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  }
  .custom-range::-webkit-slider-thumb {
    background: #5aa75e;
  }
  .custom-range::-moz-range-thumb {
    background: #5aa75e;
  }
  .custom-range::-ms-thumb {
    background: #5aa75e;
  }
  .custom-range::-webkit-slider-runnable-track {
    background-color: #dddbdb;
    border-color: transparent;
    border-radius: 1rem;
  }
  .go-btn {
    /*background-color: #80aae7;*/
    background-color: #70cf75;
    color: black;
    padding: 2px;
    
    font-size: 18px;
    margin-top: 20px;
    /*border-color: #8ab2eb;*/
    border-color: #a3c1a5;
    border-width: 2px;
    border-radius: 10px;
    width: 110px;
    height: 40px;
    margin-bottom: 0px;
}


.Q-btn {
    background-color: #ffffff;
    color: #333333;
    
    border-radius: 12px; 
    
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 0.5px;

    border: 2px solid #e2e2e2;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    

    cursor: pointer;
    transition: all 0.2s ease-in-out;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    outline: none;
}

.Q-btn:active {
    background-color: #d2fdd5;
}
.Q-btn:disabled {
    background-color: #d2fdd5;
}
.U-btn {
    background-color: #ffffff;
    color: #333333;
    
    border-radius: 10px; 
    
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.5px;

    border: 2px solid #e2e2e2;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    
    width: 43px;
    height: 30px;
    margin-bottom: 0px;
    margin-top: 5px;
    padding: 0px;

    cursor: pointer;
    transition: all 0.2s ease-in-out;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    outline: none;


}
.QScrollcont{
    position: fixed;
    left: 0;
    right: 0;
    justify-self: center;
    height: 380px;
    width: 340px;
    padding: 15px;
    background-color: #ffffff;
    border-width: 1px;
    border-radius: 10px;
    border-color: #837c7c;
    border-style: solid;
    color: black;
    text-align: center;
    font-family: Arial, sans-serif;
    display: none;
}
.QScroll{
    flex: 1;
    background-color: white;
    border-radius: 10px;
    height: 300px;
    overflow-y: auto;
}
.coScrollcont{
    position: fixed;
    left: 0;
    right: 0;
    justify-self: center;
    height: 380px;
    width: 340px;
    padding: 15px;
    background-color: #ffffff;
    border-width: 1px;
    border-radius: 10px;
    border-color: #837c7c;
    border-style: solid;
    color: black;
    text-align: center;
    font-family: Arial, sans-serif;
    display: none;
}
.coScroll{
    flex: 1;
    background-color: white;
    border-radius: 10px;
    height: 300px;
    overflow-y: auto;
}

  .btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #0d6efd;
    --bs-btn-border-color: #2d312d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0b5ed7;
    --bs-btn-hover-border-color: #0a58ca;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0a58ca75;
    --bs-btn-active-border-color: #0a53be;
    --bs-btn-active-shadow: inset 0 3px 5px rgb(0 0 0 / 92%);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #0d6efd;
    --bs-btn-disabled-border-color: #0d6efd;
}
.cookie-consent-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: 120px;
    background-color: #b0b7a3;
    color: white;
    padding: 15px;
    text-align: center;
    font-family: Arial, sans-serif;
    z-index: 9999;
    display: none;
}

.cookie-consent-banner p {
    margin: 0;
    padding: 0;
}

.cookie-consent-banner a {
    color: #000000;
    text-decoration: none;
}


.cookie-consent-banner .accept-btn {
    background-color: #4add48;
    color: black;
    border: none;
    padding: 8px 15px;
    font-size: 16px;
    cursor: pointer;
    margin-top: 20px;
    border-radius: 5px;
    width: 200px;
}

.cookie-consent-banner .accept-btn:hover {
    background-color: #6ff06c;
}






